Create a new model instance with data provided in the request body. JSON format is expected. The model performs validation automatically when instantiated. Unless the model says otherwise, you must be an administrator.
POST
/data/salary-scales
curl
curl -X POST "http://api.example.com/data/salary-scales" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"name": "Model Name"
}'
import requests
url = "http://api.example.com/data/salary-scales"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = {
"name": "Model Name"
}
response = requests.post(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
Request examples
{
"name": "Model Name"
}
Response examples (201)
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"name": "Model Name",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}